summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Christopher L Duston2023-12-27 03:17:18 +0100
committer Willy Sudiarto Raharjo2023-12-29 12:49:44 +0100
commitcd6a552f5bc86b8f8623a336a4dc7a8a07631d8d (patch)
treee089b7d69ff83603b4b05925b781adda18bae9fe /academic
parent4c86c5d9a4a0ab0891a1cfcf842d31ea7551e72a (diff)
downloadslackbuilds-cd6a552f5bc86b8f8623a336a4dc7a8a07631d8d.tar.gz
academic/AstroImageJ: Added (ImageJ for Astronomy).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rwxr-xr-xacademic/AstroImageJ/AstroImageJ.SlackBuild104
-rw-r--r--academic/AstroImageJ/AstroImageJ.info10
-rw-r--r--academic/AstroImageJ/README32
-rwxr-xr-xacademic/AstroImageJ/astroimagej4
-rw-r--r--academic/AstroImageJ/slack-desc19
5 files changed, 169 insertions, 0 deletions
diff --git a/academic/AstroImageJ/AstroImageJ.SlackBuild b/academic/AstroImageJ/AstroImageJ.SlackBuild
new file mode 100755
index 0000000000..dc6a9f759b
--- /dev/null
+++ b/academic/AstroImageJ/AstroImageJ.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/bash
+
+# Slackware build script for astroimagej
+
+# Copyright 2023 Christopher Duston (christopher.duston@protonmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=AstroImageJ
+VERSION=${VERSION:-v5.1.0.00}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+#### These lines are to ensure the build can happen on multilib systems.
+if [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+####
+
+set -e
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP || exit 1
+
+tar xvf $CWD/${PRGNAM}_${VERSION}_linux_x64_java18.tar.gz || exit 1
+
+cd ${PRGNAM}
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Putting these here so they are correctly removed by removepkg.
+mkdir -p $PKG/usr/lib64 $PKG/usr/bin
+cp -r $TMP/$PRGNAM $PKG/usr/lib64
+cp $CWD/astroimagej $PKG/usr/bin
+
+# Documentation
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a LICENSE MANIFEST.MF README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+# Create the ./install directory and copy the slack-desc into it
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Strip objects from a bunch of files sbopkglint complains about:
+strip $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM/jre/lib/*.so
+strip $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM/jre/lib/jexec
+strip $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM/jre/lib/server/*.so
+strip $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM/jre/lib/jspawnhelper
+strip $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM/jre/bin/*
+# Make these files executable, for the same reason...
+chmod a+x $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM/jre/lib/*.so
+chmod a+x $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM/jre/lib/jexec
+chmod a+x $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM/jre/lib/server/*.so
+chmod a+x $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM/jre/lib/jspawnhelper
+chmod a+x $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM/jre/bin/*
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/academic/AstroImageJ/AstroImageJ.info b/academic/AstroImageJ/AstroImageJ.info
new file mode 100644
index 0000000000..d43db26492
--- /dev/null
+++ b/academic/AstroImageJ/AstroImageJ.info
@@ -0,0 +1,10 @@
+PRGNAM="AstroImageJ"
+VERSION="v5.1.0.00"
+HOMEPAGE="https://www.astro.louisville.edu/software/astroimagej/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://www.astro.louisville.edu/software/astroimagej/installation_packages/AstroImageJ_v5.1.0.00_linux_x64_java18.tar.gz"
+MD5SUM_x86_64="2cc51769efcfc1f7d844e821849d3825"
+REQUIRES=""
+MAINTAINER="Christopher L Duston"
+EMAIL="christopher.duston@protonmail.com"
diff --git a/academic/AstroImageJ/README b/academic/AstroImageJ/README
new file mode 100644
index 0000000000..e6d8ec3199
--- /dev/null
+++ b/academic/AstroImageJ/README
@@ -0,0 +1,32 @@
+ImageJ is a graphical user interface (GUI) driven, public domain,
+Java-based, software package for general image processing
+traditionally used mainly in life sciences fields. The image processing
+capabilities of ImageJ are useful and extendable to other scientific
+fields. Here we present AstroImageJ (AIJ), which provides an astronomy
+specific image display environment and tools for astronomy specific
+image calibration and data reduction. Although AIJ maintains the
+general purpose image processing capabilities of ImageJ, AIJ is
+streamlined for time-series differential photometry, light curve
+detrending and fitting, and light curve plotting, especially for
+applications requiring ultra-precise light curves (e.g., exoplanet
+transits). AIJ reads and
+writes standard FITS files, as well as other common image formats,
+provides FITS header viewing and editing, and is World Coordinate
+System (WCS) aware, including an automated interface to the
+astrometry.net web portal for plate solving images. AIJ provides
+research grade image calibration and analysis tools with a GUI driven
+approach, and easily installed cross-platform compatibility. It
+enables new users, even at the level of undergraduate student, high
+school student, or amateur astronomer, to quickly start processing,
+modeling, and plotting astronomical image data with one tightly
+integrated software package.
+
+Rather than building from source, this package just copies a binary
+into the system. It is recommended that post-installation, the user
+changes the permissions of the install directory so that the user can
+update the software:
+
+# chown -R myname.users /usr/lib64/AstroImageJ
+
+It is further recommend to update to the latest daily build - in
+particular, the WCS-finding routine is broken on earlier versions.
diff --git a/academic/AstroImageJ/astroimagej b/academic/AstroImageJ/astroimagej
new file mode 100755
index 0000000000..1096bd8524
--- /dev/null
+++ b/academic/AstroImageJ/astroimagej
@@ -0,0 +1,4 @@
+#!/bin/sh
+cd /usr/lib64/AstroImageJ/
+./AstroImageJ
+exit
diff --git a/academic/AstroImageJ/slack-desc b/academic/AstroImageJ/slack-desc
new file mode 100644
index 0000000000..dc2aa0aa28
--- /dev/null
+++ b/academic/AstroImageJ/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+AstroImageJ: AstroImageJ (Astronomical Image Processing)
+AstroImageJ:
+AstroImageJ: AstroImageJ is a graphical user interface (GUI) driven, public
+AstroImageJ: domain, Java-based, software package for astronomical image
+AstroImageJ: processing.
+AstroImageJ:
+AstroImageJ: It is recommended to change the permissions of the install
+AstroImageJ: directory so that the user can update the software:
+AstroImageJ: # chown -R myname.users /usr/lib64/AstroImageJ
+AstroImageJ:
+AstroImageJ: Homepage: https://www.astro.louisville.edu/software/astroimagej/